Bug 427353 - RAID cannot be activated, when system boots from RAID 1 configuration
RAID cannot be activated, when system boots from RAID 1 configuration
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dmraid (Show other bugs)
5.1
All Linux
low Severity urgent
: rc
: ---
Assigned To: Heinz Mauelshagen
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 07:45 EST by Adam Cetnerowski
Modified: 2008-10-16 08:44 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 03:52:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Cetnerowski 2008-01-03 07:45:41 EST
Description of problem:
When RH is installed and boots from a RAID 1 configuration, RAID does not activate.

Version-Release number of selected component (if applicable):
RHEL5.1b RC2 x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL5 on RAID 1 device
2. Boot the OS
3. Execute command dmraid -ay to activate raid
  
Actual results:
device-mapper: table: 253:0: mirror: Device lookup failure
device-mapper: ioctl: error adding target to table

Expected results:
RAID activates properly
Comment 2 Pasi Sjöholm 2008-08-20 05:51:23 EDT
The script inside initrd can't either "create" the raid-device when using dff1-raid-device. Installation RHEL5 works fine but no RAID after installation. :(
Comment 3 Krzysztof Wojcik 2008-10-14 03:52:12 EDT
Problem does not reproduce in RHEL5.2

Note You need to log in before you can comment on or make changes to this bug.